Skip to main content
GET
/
v2
/
ledger
/
transactions
List ledger transactions with opaque cursor pagination
curl --request GET \
  --url https://api.example.com/v2/ledger/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "100.50",
      "balanceAfter": "1500.50",
      "createdAt": "2025-10-29T12:00:00Z",
      "currency": "EUR",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "status": "confirmed",
      "type": "credit",
      "asset": "USDC",
      "confirmedAt": "2025-10-29T12:01:00Z",
      "counterparty": "provider:ivy",
      "depositId": "d1e2f3a4-...",
      "description": "Payout to beneficiary",
      "method": "ach",
      "network": "solana",
      "payoutAmount": "150000",
      "payoutCurrency": "NGN",
      "payoutId": "a1b2c3d4-...",
      "payoutStatus": "processing",
      "provider": "ivy",
      "referenceId": "payout_123",
      "sourceAmount": "100.50",
      "sourceCurrency": "USD"
    }
  ],
  "hasMore": true,
  "nextCursor": "eyJ2IjoxLCJjcmVhdGVkQXQiOiIyMDI2LTAxLTAxVDAwOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItNDJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9",
  "object": "payout.list"
}

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Query Parameters

cursor
string

Opaque cursor returned by the previous page

limit
number
default:20

Number of items per page

Required range: 1 <= x <= 100
currency
string

Filter transactions by ISO 4217 currency code

Example:

"EUR"

Response

data
object[]
required
hasMore
boolean
required

Whether more items exist after this page

Example:

true

nextCursor
string | null
required

Opaque cursor for the next page, or null when there are no more items

Example:

"eyJ2IjoxLCJjcmVhdGVkQXQiOiIyMDI2LTAxLTAxVDAwOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItNDJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9"

object
enum<string>
required

Stable resource-specific collection discriminator

Available options:
transaction.list
Pattern: ^[a-z][a-z0-9_]*\.list$
Example:

"payout.list"